#if !NETFX_CORE

using System;
using System.Net;
using System.Net.Sockets;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;

namespace EHangGcsSdk.Contract.DtuClient
{
    public partial class BasedOnEhNetUdpDtuServiceConnection
    {
        private TcpClient _tcpClient;
        
        /// <summary>
        /// 登陆到EhNet，获取随机码后再登陆Dtu透传服务端。
        /// </summary>
        /// <returns></returns>
        public override async Task OpenAsync()
        {
            //
        }

        public override void Close()
        {
            _tcpClient.Close();
            base.Close();
        }
    }
}

#endif